gdcm::network::MaximumLengthSub Class Reference

MaximumLengthSub. More...

`#include <gdcmMaximumLengthSub.h>`

## Public Member Functions

| MaximumLengthSub ()
uint32_t | GetMaximumLength () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetMaximumLength (uint32_t maximumlength)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

MaximumLengthSub.

Annex D Table D.1-1 MAXIMUM LENGTH SUB-ITEM FIELDS (A-ASSOCIATE-RQ)

or

Table D.1-2 Maximum length sub-item fields (A-ASSOCIATE-AC)

## Constructor & Destructor Documentation

## MaximumLengthSub()

gdcm::network::MaximumLengthSub::MaximumLengthSub | ( |  | ) |

## Member Function Documentation

## GetMaximumLength()

uint32_t gdcm::network::MaximumLengthSub::GetMaximumLength | ( |  | ) | const

inline

## Print()

void gdcm::network::MaximumLengthSub::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::MaximumLengthSub::Read | ( | std::istream & | is | ) |

## SetMaximumLength()

void gdcm::network::MaximumLengthSub::SetMaximumLength | ( | uint32_t | maximumlength | ) |

## Size()

size_t gdcm::network::MaximumLengthSub::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::MaximumLengthSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmMaximumLengthSub.h